    Return the effective area values for a PHA data set.

get_specresp(id=None, filter=False, bkg_id=None)
id - int or str, optional
filter - bool, optional
bkg_id - int or str, optional

Return the effective-area values for the default data set:

>>> arf = get_specresp()

Return the area for the second background component of the data set with the id "eclipse":

>>> barf = get_spectresp("eclipse", bkg_id=2)

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The identifier for the data set to use. If not given then the default identifier is used, as returned by

`get_default_id` .
filter
Should the filter attached to the data set be applied to the ARF or not. The default is False .
bkg_id
Set if the ARF should be taken from a background set associated with the data set.

The return value from this function is:

arf -- The effective area values for the data set (or background component).

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023